View Issue Details

IDProjectCategoryView StatusLast Update
0001974FreeCADBugpublic2015-12-15 13:18
ReporterpfirsztAssigned Toyorik 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSlinuxOS Version
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0001974: Building problem nad outdated README.linux - it's not clear how to build FreeCAD
DescriptionREADME.linux file is outdated. It's referring to configure/make tools instead of cmake.
TagsNo tags attached.

Activities

yorik

2015-02-19 01:26

administrator   ~0005810

Indeed, this readme is very out of date. I wonder if we shouldn't simply remove all the sub-readme files and direct users to the wiki instead (which is pretty much up to date)

shoogen

2015-02-19 08:32

developer   ~0005812

Maybe we can generate some build instructions with some mediawiki2text or mediawiki2markdown scripts, before every release.
To me it would seem nice if the repo or tar file would be sort of self contained.

yorik

2015-02-19 13:17

administrator   ~0005815

Hm great idea... I'll look for such a script. Indeed it would be simple to run it before each release...

yorik

2015-02-22 18:03

administrator   ~0005817

I had a test with several scripts, but none give very good results, lots of wrong formatting, lots of manual cleanup needed.

So I come back to my initial proposal to remove the 4 sub README files instead. I updated the main README file to give clearer information...

If nobody is against it, I'll do it in the next days

pfirszt

2015-02-22 19:20

reporter   ~0005818

+1, it's better to have a link to a proper info than something that is out of date. Half of current README.Linux is about required packages - is there a way of checking it with cmake? Something like PKG_CHECK_MODULES in autotools

Issue History

Date Modified Username Field Change
2015-02-18 22:48 pfirszt New Issue
2015-02-19 01:26 yorik Note Added: 0005810
2015-02-19 08:32 shoogen Note Added: 0005812
2015-02-19 13:17 yorik Note Added: 0005815
2015-02-19 13:17 yorik Assigned To => yorik
2015-02-19 13:17 yorik Status new => assigned
2015-02-22 18:03 yorik Note Added: 0005817
2015-02-22 19:20 pfirszt Note Added: 0005818
2015-04-27 14:21 yorik Changeset attached => FreeCAD Master master 8d46ebc4
2015-04-27 14:21 yorik Status assigned => closed
2015-04-27 14:21 yorik Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16